curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/accounts/subaccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"name": "Main Account",
"assets": [
{
"asset": "ETH",
"address": "0xE79a68B87544ed42Cc5aA805bb056201e7942D3A"
}
]
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/accounts/subaccounts"
payload = {
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"name": "Main Account",
"assets": [
{
"asset": "ETH",
"address": "0xE79a68B87544ed42Cc5aA805bb056201e7942D3A"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identityId: 'cm9db4g2s2r7ro224ra6u1qvl',
name: 'Main Account',
assets: [{asset: 'ETH', address: '0xE79a68B87544ed42Cc5aA805bb056201e7942D3A'}]
})
};
fetch('https://sandbox-api.borderless.xyz/v1/accounts/subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"addresses": [
{
"id": "<string>",
"address": "<string>"
}
],
"assets": [
{
"id": "<string>",
"address": "<string>"
}
],
"fiats": [
{
"id": "<string>"
}
],
"identityId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Create a new Subaccount
Create a new Subaccount using the data provided in the request body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
- Standalone Subaccount
- Dfns Subaccount
- Utila Subaccount
The id of the identity associated with the account. Learn more at Identity Guide.
25"cm9db4g2s2r7ro224ra6u1qvl"
A unique identifier for your account, allowing you to distinguish it from other accounts.
3 - 50"Main Account"
An array of assets associated with blockchain addresses. Refer to the Own Managed Address Documentation.
Show child attributes
Show child attributes
Response
Successfully created Subaccount data.
wallet, institution Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Juicyway, Kira, TripleA, Onmeta, Alfred, Demo, CrissCross Utila, Standalone, MultiProvider, Dfns, NotApplicable Deprecated. Will be removed by May 1st, 2026. Use the assets and fiats properties instead for retrieving account asset and fiat details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?